- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# ExpressionNode Class Reference
[Data classes]

`#include <nedelements.h>`

Inheritance diagram for ExpressionNode:

List of all members.

## Detailed Description

GENERATED CLASS.

Represents the <expression> XML element in memory. DTD declaration:

     <!ELEMENT expression ((operator|function|param-ref|ident|const))>
     <!ATTLIST expression
          target              CDATA     IMPLIED >

## Public Member Functions
Constructors, destructor
| ExpressionNode ()
| ExpressionNode (NEDElement *parent)
virtual | ~ExpressionNode ()
Redefined NEDElement methods, incl. generic access to attributes
virtual const char * | getTagName () const
virtual int | getTagCode () const
virtual int | getNumAttributes () const
virtual const char * | getAttributeName (int k) const
virtual const char * | getAttribute (int k) const
virtual void | setAttribute (int k, const char *val)
virtual const char * | getAttributeDefault (int k) const
Typed access to attributes, children and siblings
const char * | getTarget () const
void | setTarget (const char *val)
virtual ExpressionNode * | getNextExpressionNodeSibling () const
virtual OperatorNode * | getFirstOperatorChild () const
virtual FunctionNode * | getFirstFunctionChild () const
virtual ParamRefNode * | getFirstParamRefChild () const
virtual IdentNode * | getFirstIdentChild () const
virtual ConstNode * | getFirstConstChild () const

## Constructor & Destructor Documentation

ExpressionNode::ExpressionNode | ( |  | ) | `[inline]`

ExpressionNode::ExpressionNode | ( | NEDElement * | parent | ) | `[inline]`

virtual ExpressionNode::~ExpressionNode | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual const char* ExpressionNode::getAttribute | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the value of the kth attribute (i.e. the attribute with the name getAttributeName(k)). It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

virtual const char* ExpressionNode::getAttributeDefault | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the default value of the kth attribute, as defined in the DTD. It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

virtual const char* ExpressionNode::getAttributeName | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the name of the kth attribute as defined in the DTD. It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

virtual ConstNode* ExpressionNode::getFirstConstChild | ( |  | ) | const`[virtual]`

virtual FunctionNode* ExpressionNode::getFirstFunctionChild | ( |  | ) | const`[virtual]`

virtual IdentNode* ExpressionNode::getFirstIdentChild | ( |  | ) | const`[virtual]`

virtual OperatorNode* ExpressionNode::getFirstOperatorChild | ( |  | ) | const`[virtual]`

virtual ParamRefNode* ExpressionNode::getFirstParamRefChild | ( |  | ) | const`[virtual]`

virtual ExpressionNode* ExpressionNode::getNextExpressionNodeSibling | ( |  | ) | const`[virtual]`

virtual int ExpressionNode::getNumAttributes | ( |  | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the number of attributes defined in the DTD. Implements NEDElement.

virtual int ExpressionNode::getTagCode | ( |  | ) | const`[inline, virtual]`

| Overridden in subclasses to return the numeric code (NED_xxx) of the XML element the class represents. Implements NEDElement.

virtual const char* ExpressionNode::getTagName | ( |  | ) | const`[inline, virtual]`

| Overridden in subclasses to return the name of the XML element the class represents. Implements NEDElement.

const char* ExpressionNode::getTarget | ( |  | ) | const`[inline]`

virtual void ExpressionNode::setAttribute | ( | int | k,
|  | const char * | val
| ) | `[virtual]`

| Pure virtual method, it should be redefined in subclasses to set the value of the kth attribute (i.e. the attribute with the name getAttributeName(k)). If k is out of range (i.e. negative or greater than getNumAttributes()), the call should be ignored. Implements NEDElement.

void ExpressionNode::setTarget | ( | const char * | val | ) | `[inline]`

The documentation for this class was generated from the following file:

- nedelements.h